Bug 1055390 - CVE-2014-0008 CVE-2014-0009 CVE-2014-0010 moodle: various flaws [epel-all]
CVE-2014-0008 CVE-2014-0009 CVE-2014-0010 moodle: various flaws [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: moodle (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-0008 CVE-2014-0009 CVE-2014-0010
  Show dependency treegraph
 
Reported: 2014-01-20 02:20 EST by Ratul Gupta
Modified: 2014-02-06 16:06 EST (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.8-1.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 23:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2014-01-20 02:20:39 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Ratul Gupta 2014-01-20 02:20:53 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1051999,1055390
Comment 2 Ratul Gupta 2014-01-20 02:21:39 EST
Adding parent bug 1052000 (for CVE-2014-0009).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1055390,1051999,1052000
Comment 3 Ratul Gupta 2014-01-20 02:22:43 EST
Adding parent bug 1052001 (for CVE-2014-0010).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1055390,1051999,1052000,1052001
Comment 4 Fedora Update System 2014-01-22 09:42:02 EST
moodle-2.4.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/moodle-2.4.8-1.el6
Comment 5 Fedora Update System 2014-01-22 09:42:14 EST
moodle-2.4.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/moodle-2.4.8-1.fc19
Comment 6 Fedora Update System 2014-01-22 09:42:35 EST
moodle-2.5.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/moodle-2.5.4-1.fc20
Comment 7 Fedora Update System 2014-01-22 16:21:03 EST
Package moodle-2.4.8-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing moodle-2.4.8-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0282/moodle-2.4.8-1.el6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-01-30 23:23:48 EST
moodle-2.4.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-01-30 23:27:49 EST
moodle-2.5.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-02-06 16:06:56 EST
moodle-2.4.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.